Bug 821864 - gprof2dot package does not support perf format
gprof2dot package does not support perf format
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gprof2dot (Show other bugs)
15
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 11:37 EDT by dashesy
Modified: 2012-08-09 19:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:24:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dashesy 2012-05-15 11:37:52 EDT
Description of problem:

Version 1 of gprof2dot released 2011-10-23 has support for perf format, the one in Fedora repository does not (same version but it seems to be snapshot of 2010).


Version-Release number of selected component (if applicable):
Version 1
0.5.20100708hg89.fc15

How reproducible:
`gprof2dot -f perf` states it does not support perf format

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
Support perf same as version 1 in the author's website

Additional info:
The latest can be found here:
http://gprof2dot.jrfonseca.googlecode.com/git/gprof2dot.py
Just overwriting the script solves the problem.
Comment 1 Fedora Update System 2012-07-20 15:35:56 EDT
gprof2dot-1.0-0.8.20120720git56961.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gprof2dot-1.0-0.8.20120720git56961.fc17
Comment 2 Fedora Update System 2012-07-20 15:36:06 EDT
gprof2dot-1.0-0.8.20120720git56961.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gprof2dot-1.0-0.8.20120720git56961.fc16
Comment 3 Fedora Update System 2012-07-20 15:36:15 EDT
gprof2dot-1.0-0.8.20120720git56961.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gprof2dot-1.0-0.8.20120720git56961.el6
Comment 4 Toshio Ernie Kuratomi 2012-07-20 15:49:34 EDT
Sorry I didn't get this built before F15 went EOL.  The update is now built for Fedora 16, 17, and RawHide.  If it works for you, feel free to leave karma in bodhi.
Comment 5 Fedora Update System 2012-07-20 20:20:42 EDT
Package gprof2dot-1.0-0.8.20120720git56961.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing gprof2dot-1.0-0.8.20120720git56961.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6465/gprof2dot-1.0-0.8.20120720git56961.el6
then log in and leave karma (feedback).
Comment 6 Fedora End Of Life 2012-08-07 16:24:58 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Toshio Ernie Kuratomi 2012-08-08 10:15:37 EDT
Just updating the CLOSED type to show it was fixed in a later release.
Comment 8 Fedora Update System 2012-08-08 14:30:27 EDT
gprof2dot-1.0-0.8.20120720git56961.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-08-09 19:04:42 EDT
gprof2dot-1.0-0.8.20120720git56961.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-08-09 19:18:23 EDT
gprof2dot-1.0-0.8.20120720git56961.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.